(function ($, Drupal) {
  "use strict";

  /**
   * @type {{attach: Drupal.behaviors.initOuibounce.attach}}
   */
  Drupal.behaviors.initOuibounce = {
    attach: function (context, settings) {
      $(context).find('#ouibounce-exit-modal').once('init-ouibounce').each(function () {
        var config = settings['ouibounce'];

        ouibounce(document.getElementById('ouibounce-exit-modal'), {
          sensitivity: config['sensitivity'],
          aggressive: config['aggressive_mode'],
          timer: config['timer'],
          delay: config['delay'],
          cookieExpire: config['cookie_expiration'],
          cookieDomain: config['cookie_domain'],
          cookieName: config['cookie_name'],
          sitewide: config['sitewide_cookie'],
          callback: function () {
          }
        });

        $('body').on('click', function () {
          $('#ouibounce-exit-modal').hide();
        });

        $('#ouibounce-exit-modal .modal-footer').on('click', function () {
          $('#ouibounce-exit-modal').hide();
        });

        $('#ouibounce-exit-modal .modal').on('click', function (e) {
          e.stopPropagation();
        });
      });
    }
  };

})(jQuery, Drupal);
